//
//  AlarmasTableViewController.h
//  iPark
//
//  Clase que controla la vista de alarmas
//  Created by Mikel Elorz on 12/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TraductorHash.h"

// Alto en píxeles de cada fila
#define kAltoFila       70
// Tamaño de la fuente tanto del título como del subtítulo de la fuente
#define kTamFuenteCell  19

// Nombres de las imágenes a utilizar como:
// Botón de quitar alarmas
#define kImagenQuitar       @"quitarAlarma"
// Fondo de la tabla
#define kImagenFondoTable   @"gradientBackgroundOscuro"
// Fondo de la celda
#define kImagenCell         @"cellGradientClaro"
// Fondo de la celda seleccionada
#define kImagenCellSelec    @"cellGradientOscuro"

@interface AlarmasTableViewController : UITableViewController {
    UIImage *_imagenQuitar;
}

// Imagen que se muestra en el botón para quitar las alarmas (conmuta editar on u off)
@property (nonatomic , retain) UIImage *imagenQuitar;

// Función utlizada para cambiar entre el modo editar (para quitar alarmas) y el modo normal
- (void) conmutarEdit;

@end
