//
//  Detalle.m
//  iPark
//
//  Created by Mikel Elorz on 09/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Detalle.h"


@implementation Detalle
@synthesize imagen = _imagen;
@synthesize texto = _texto;

// Inicializador por defecto
- (id)initWithIndice: (NSString *) ind {
    // Inicia el título y el subtítulo con el init de Fila
    self = [super initWithIndice: ind];
    if (self) {
        NSDictionary *detalleDic = [[self dicDatos] objectForKey: self.indice];
        self.imagen = [detalleDic objectForKey: kImagen];
        self.texto = [detalleDic objectForKey: kTexto];
    }
    return self;
}

- (void)dealloc {
    [_imagen release];
    [_texto release];
    [super dealloc];
}

// Método que mira si el detalle es igual al objeto dado
- (BOOL) isEqual:(id)object {
    BOOL res = FALSE;
    if  ( [object isKindOfClass: [self class]] && [super isEqual: object] ) {
        Detalle *d = (Detalle *) object;
        res = ( [self.imagen isEqual: d.imagen] &&
                [self.texto  isEqual: d.texto]);
    }
    return res;
}

@end
