//
//  Euros.h
//  iPark
//
//  Clase que representa una cantidad monetaria en euros y céntimos
//
//  Created by Mikel Elorz on 12/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Euros : NSObject {
    int _euros;
    int _centimos;
}

@property (readwrite , assign) int euros;
@property (readwrite , assign) int centimos;

// Constructor con euros y céntimos
- (id)initWithEuros: (int) e centimos: (int) c;
// Método que compara si self es igual al objeto dado
- (BOOL) isEqual:(id)object;
// Método que compara self con unos euros y devuelve verdadero
// si self > e
- (BOOL) esMayor: (Euros *) e;
// Método que compara self con unos euros y devuelve verdadero
// si self >= e
- (BOOL) esMayorOIgual: (Euros *) e;
// Devuelve la representación como string de los euros
- (NSString *) description;

// Añade una cantidada (positiva o negativa) de céntimos
- (void) anadeCentimos: (int) cent;



@end
