//
//  Fila.m
//  iPark
//
//  Created by Mikel Elorz on 09/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Fila.h"


@implementation Fila
@synthesize titulo = _titulo;
@synthesize subtitulo = _subtitulo;

// Inicializador por defecto
- (id)initWithIndice: (NSString *) ind {
    // Llamar al inicalizador de ElementInfo
    self = [super initWithIndice: ind];
    if (self) {
        NSDictionary *filaDic = [[self dicDatos] objectForKey: self.indice];
        self.titulo = [filaDic objectForKey: kTitulo];
        self.subtitulo = [filaDic objectForKey: kSubtitulo];
    }
    return self;
}

- (void)dealloc {
    [_titulo release];
    [_subtitulo release];
    [super dealloc];
}

// Método que mira si el detalle es igual al objeto dado
- (BOOL) isEqual:(id)object {
    BOOL res = FALSE;
    if  ( [object isKindOfClass: [self class]] && [super isEqual: object] ) {
        Fila *f = (Fila *) object;
        res = ( [self.titulo    isEqual: f.titulo] &&
                [self.subtitulo isEqual: f.subtitulo] );
    }
    return res;
}


@end
