//
//  Idioma.m
//  iPark
//
//  Created by Mikel Elorz on 29/04/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Idioma.h"


@implementation Idioma
@synthesize abreviatura = _abreviatura;
@synthesize idioma = _idioma;

- (id)initWithIdioma: (int) idi {
    self = [super init];
    if (self) {
        self.idioma = idi;
        switch (self.idioma) {
            case kCastellano:
                self.abreviatura = kAbrCastellano;
                break;
            case kEuskera:
                self.abreviatura = kAbrEuskera;
                break;
            case kIngles:
                self.abreviatura = kAbrIngles;
                break;
            default:
                self.abreviatura = nil;
                self.idioma = -1;
                break;
        }
    }
    return self;
}

+ (Idioma *) idiomaConInt: (int) idi {
    Idioma *idioma = [[Idioma alloc] initWithIdioma: idi];
    return [idioma autorelease];
}

- (NSString *) description {
    NSString *res = nil;
    switch (self.idioma) {
        case kCastellano:
            res = @"Castellano";
            break;
        case kEuskera:
            res = @"Euskera";
            break;
        case kIngles:
            res = @"English";
            break;
        default:
            break;
    }
    return res;
}



@end
