//
//  ShadowedTableView.h
//  iPark
//
//  Subclase de UITableView que añade sombras arriba
//  y abajo a base de CAGradientLayers necesita
//  el framework quartz core
//
//  Created by Mikel Elorz on 12/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <QuartzCore/QuartzCore.h>

@interface SombrasTableView : UITableView {
	CAGradientLayer *sombraOrigen;
	CAGradientLayer *sombraArriba;
	CAGradientLayer *sombraAbajo;
}

@end
