//
//  iParkAppDelegate.h
//  iPark
//
//  Created by Mikel Elorz on 12/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TraductorHash.h"
#import "ZonaAzul.h"

// Posicin de la flecha relativa al borde superior del tab 
// (Un nmero ms alto la hace bajar). Por defecto 5
#define kPosFlecha      5
// Duracin de la animacin en segundos. Por defecto 0.4
#define kDuracion       0.4
// Nombre de la imagen a cargar para la flecha
#define kNombreFlecha   @"flecha.png"

#define kIndexCalcular  0
#define kIndexSectores  1
#define kIndexInfo      2
#define kIndexAlarmas   3
#define kIndexAjustes   4


@interface iParkAppDelegate : NSObject <UIApplicationDelegate> {
    UITabBarController *_tabBarController;
    //Indicador visual del tab seleccionado
    UIImageView         *flechaTabBar;
    }

@property (nonatomic, retain) IBOutlet UITabBarController *tabBarController;
@property (nonatomic, retain) IBOutlet UIWindow *window;

@property (nonatomic, retain) IBOutlet UIImageView *flechaTabBar;


// Funcin que devuelve la de la flecha para el ndice dado
- (CGFloat) posHorizontalParaIndice:(NSUInteger)tabIndex;
// Crea y muestra la imagen de la flecha que seala al tab seleccionado
- (void) anadeFlecha;
- (void) recargarTitulos;

@end
