//
//  AjustesSeleccionarViewController.h
//  iPark
//
//  Clase que controla la vista de seleccionar un valor de una lista
//
//  Created by Mikel Elorz on 05/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TraductorHash.h"

@interface AjustesSeleccionarViewController : UITableViewController {
    //  - Array de valores con su correspondiente array de título
    NSArray *_valores;
    NSArray *_titulos;
    //  - El índice de la tabla que estará seleccinado al cargarse y 
    //    que llevará la cuenta del anterior index path, para desseleccioarlo
    NSIndexPath *_ultimoIndexPath;
    //  - La acción que se debe ejecutar sobre un objetivo 
    //    cuando se seleccione un nuevo valor
    SEL	_action;
    id	_target;
    //  - Necesita el título y explicación originarios en castellano para 
    //    poder traducirlos cada vez
    NSString *_titulo;
    NSString *_explicacion;
}

@property (nonatomic , retain) NSArray *valores;
@property (nonatomic , retain) NSArray *titulos;
@property (nonatomic , retain) NSIndexPath *ultimoIndexPath;
@property (nonatomic , retain) NSString *titulo;
@property (nonatomic , retain) NSString *explicacion;

@property (nonatomic)           SEL  action;
@property (nonatomic , assign)  id   target;

@end
