//
//  ChinchetaPos.h
//  Subclase de MKAnnotation que tiene un título y una coordenada
//  y que sirve como anotación de un sector
//
//  Created by Mikel Elorz on 09/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@interface AnnotationSector : NSObject <MKAnnotation> {
    NSString *_title;
    CLLocationCoordinate2D _coordinate;
}

@property (nonatomic, assign) CLLocationCoordinate2D coordinate;
@property (nonatomic, retain) NSString *title;


@end
