//
//  Coordenada.h
//  Clase que engloba una CLLocationCoordinate2D
//
//  Created by Mikel Elorz on 09/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <MapKit/MapKit.h>

@interface Coordenada : NSObject {
    CLLocationCoordinate2D _coord;
}

@property (nonatomic , assign) CLLocationCoordinate2D coord;
@property (nonatomic , assign) float latitud;
@property (nonatomic , assign) float longitud;

// Constructores
- (id)initWithLatitud: (float) lat longitud: (float) lon;
- (id) initWithString: (NSString *) strCoord;

@end
