//
//  Tabla.h
//  iPark
//
//  Una tabla es una fila que contiene, además del 
//  título y subtítulo heredados, una lista de secciones
//  que a su vez contendrán una lista de filass
//
//  Created by Mikel Elorz on 09/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Fila.h"
#import "Seccion.h"

@interface Tabla : Fila {
    NSArray *_listaSecciones;
}

@property (nonatomic , retain) NSArray *listaSecciones;

// Inicializador por defecto
- (id)initWithIndice: (NSString *) ind;
// Devuelve la enésima sección de la lista correctamente
// instanciada
- (Seccion *) seccionNumero: (int) n;
// Devuelve el número de secciones en la tabla
- (int) numeroSecciones;
@end
