//
//  Tabla.m
//  iPark
//
//  Created by Mikel Elorz on 09/03/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "Tabla.h"
//#define _DEBUG

@implementation Tabla
@synthesize listaSecciones = _listaSecciones;

// Inicializador por defecto
- (id)initWithIndice: (NSString *) ind {
    // Inicializa el título y subtítulo llamando al init de fila
    self = [super initWithIndice: ind];
    if (self) {
        self.listaSecciones = [[self dicEsquema] objectForKey: self.indice];
    }
    return self;
}

// Devuelve la enésima sección de la lista correctamente
// instanciada
- (Seccion *) seccionNumero: (int) n {
    NSString *indice = [self.listaSecciones objectAtIndex: n];
    #ifdef _DEBUG
        NSLog(@"__%@__%d %@." , NSStringFromSelector( _cmd),n , indice);
    #endif
    Seccion *res = [[Seccion alloc] initWithIndice: indice];
    return [res autorelease];
}

// Devuelve el número de secciones en la tabla
- (int) numeroSecciones {
    return [self.listaSecciones count];
}

- (void)dealloc {
    [_listaSecciones release];
    [super dealloc];
}

@end
